/*
Theme Name: 	   EazyShop Child
Text Domain: 	   eazyshopchild
Template: 		   shopire
Version:            0.5
Tested up to:       6.8
Requires at least:  4.7
Requires PHP:       5.6
Author:             WPFable
Author URI:         https://wpfable.com/
Theme URI:          https://wpfable.com/themes/eazyshop-free/
Description:        EazyShop is a fast, clean, lightweight theme. EazyShop is customizable and modern-looking free responsive WooCommerce WordPress theme for e-commerce stores like clothing, fashion, electronics, ebooks, dress store, sports shop, marketplace, multivendor, equipments or online products. Theme is compatible with Elementor, WPML, Polylang, Yoast SEO, WooCommerce, Contact Form 7, Jetpack and other popular plugins. The theme is SEO friendly, WPML and RTL ready. Looking for a WooCommerce theme? Look no further! EazyShop Pro demo https://demos.wpfable.com/premium/eazyshop/
Tags:               one-column, two-columns ,right-sidebar, flexible-header, custom-background, custom-header, custom-menu, editor-style, featured-images, footer-widgets, post-formats, theme-options, threaded-comments, translation-ready, full-width-template, custom-logo, blog, e-commerce, portfolio
License: GPLv3 or later
License URI:  https://www.gnu.org/licenses/gpl-3.0.html

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned
with others.
*/

/* Ignore the warning/error in the root rule */
:root {
    --wf-main-rgb: 19, 78, 151;
}

/* hide 'related products' on product pages as we dont control this */
section.related.products {
    display: none !important;
}

/* hide 'sort by' drop down on product-category pages */
.woocommerce-ordering, .woocommerce-result-count {
    display: none !important;
}

/* force SMS OTP verification box to appear on checkout page */
#flp_sms_inline {
    display: block !important;
}

/* create 'buttons' on product-category pages on each product name (https://nayla.com/product-category/sebo-residential/) */
h2.woocommerce-loop-category__title {
    border-radius: 22px;
    border-color: rgb(var(--wf-main-rgb));
    background: rgb(var(--wf-main-rgb));
    color: white;
}

/* remove dates from search product results */
.wf_post_item .image .date {
    display: none;
}
/* and for the results, hide the author (e.g. Nayla Trading Admin) */
.wf_post_item .meta .reply,
.wf_post_item .meta .author {
    display: none;
}


/* Fix issue of product photo gallery in a product page clips into main product img */
.woocommerce div.product div.images .woocommerce-product-gallery__image:nth-child(1) {
    max-height: 100%;
}

/* Hide 'product' content (description) on the actual category page */
/*ul.products.columns-5 div.product-content {*/
/*    display: none !important;*/
/*}*/
/* however this hides the title of the product, so unhide that */
/*ul.products.columns-5 div.product-content h3 {*/
/*    display: block !important;*/
/*}*/

/* Fix the padding size for the variation dropdown in the products */
.woocommerce div.product form.cart .variations td.value {
    padding: 0 0 0 0 !important;
}
table.variations th, td {
    padding: 0 !important;
}


/* Hide blue 'categories' dropdown on the left and the 'flash sale' button on the top right */
.product-categories, .wf_navbar-button-item {
    display: none !important;
}

/* Change product-category/cleaning-product heading1/2 and makes it less bold and big */
h2, h3 {
    font-weight: 400 !important;
}

h1 {
    font-weight: 600 !important;
    font-size: 4.5rem !important;
}

/* Hide "Clear" button when you choose a variation for a product (causes big boxes) */
.reset_variations {
    display: none !important;
}


/* footer background colour */
.wf_footer--one {
    background-color: rgb(var(--wf-main-rgb)) !important;
    color: #fff !important;
}
.wf_footer_middle .widget .wp-block-heading:before, .wf_footer_middle .widget .widget-title:before {
    background-color: #fff;
}

/* Fixes navbar drop down menu, sub menus overlap and this forces it to be shown correctly (was overlapping but now is shown on the right) */
.wf_header .widget_nav_menu .sub-menu li .sub-menu li .sub-menu,
.wf_navbar-nav .wf_navbar-mainmenu .dropdown-menu li .dropdown-menu li .dropdown-menu {
    left: 100%;
}

/* Changes top bar colour to blue and changes text to white (bar has text like the address and phone number) */
.header--one .wf_header-topbar {
    position: relative;
    color: #ffffff;
    background-color: rgb(var(--wf-main-rgb));
    z-index: 1;
}

/* Fix top bar "Welcome Nayla is open for business ..." text to be white because em is blue by default */
#text-12 > div > p > em {
    color: white;
}

/* Fix 'eye icon' when u hover on products change from black to yellow */
.woocommerce ul.products li.product .product-single .product-img .button.quickview-trigger {
    background: rgb(255,204,77);
    color: rgb(255,204,77);
}

/* actual eye icon */
.woocommerce ul.products li.product .product-single .product-img .button.quickview-trigger:after {
    color: #000;
}

/* same for the Add to cart button under the product */
.woocommerce ul.products li.product .product-action .button.add_to_cart_button:hover, .woocommerce ul.products li.product .product-action .button.add_to_cart_button:focus {
    background-color: rgb(255,204,77);
    color: #000;
}

/* hide highlighted 'mark' on product category */
mark {
    display: none !important;
}

.onsale {
   border: 2px solid;
   font-size: .875em;
   color: white;
   background-color: red !important;
   border-color: red;
}